package eksponati;

public abstract class Eksponat {
	private String naziv;
	private String autor;
	
	
	public String getNaziv() {
		return naziv;
	}

	public void setNaziv(String naziv) {
		if ((naziv==null) || (naziv.isEmpty())) {
			System.out.println("Greska: Naziv ne sme biti null ili prazan string!");
		} else {
			this.naziv = naziv;			
		}		
	}

	public String getAutor() {
		return autor;
	}

	public void setAutor(String autor) {
		if ((autor==null) || (autor.isEmpty()) || (autor.length()<5)) {
			System.out.println("Greska: Autor ne sme biti null, prazan string ili string kraci od 5 znakova!");
		} else {
			this.autor = autor;	
		}				
	}

	public abstract void ispisi();
}
