package eksponati;

import java.util.GregorianCalendar;

public abstract class Eksponat {
	private String naziv;
	private String autor;
	private double cena;
	private GregorianCalendar datumPrijema;
	
	public String getNaziv() {
		return naziv;
	}

	public void setNaziv(String naziv) {
		if ((naziv==null) || (naziv.isEmpty())) {
			System.out.println("Greska: Naziv ne sme biti null ili prazan string!");
		} else {
			this.naziv = naziv;			
		}		
	}

	public String getAutor() {
		return autor;
	}

	public void setAutor(String autor) {
		if ((autor==null) || (autor.isEmpty())) {
			System.out.println("Greska: Autor ne sme biti null ili  prazan string!");
		} else {
			this.autor = autor;	
		}				
	}
	
	public double getCena() {
		return cena;
	}

	public void setCena(double cena) {
		if (cena<0)
			System.out.println("Greska: Cena ne sme biti manaj od nule!");
		else
			this.cena = cena;
	}

	public GregorianCalendar getDatumPrijema() {
		return datumPrijema;
	}

	public void setDatumPrijema(GregorianCalendar datumPrijema) {
		if ((datumPrijema == null) || (!datumPrijema.before(new GregorianCalendar())))
			System.out.println("Greska: Datum prijema ne sme biti null i mora biti trenutak u proslosti!");
		else
			this.datumPrijema = datumPrijema;
	}

	public abstract void ispisi();
}
